Skip to content
ShopAssist Docs
APIAPI referenceConversations

Delete Conversation

Hard delete (audited; privacy deletion rules of 12 apply).

DELETE/v1/stores/{store_id}/conversations/{conversation_id}Scope conversations:write

Hard delete (audited; `privacy` deletion rules of 12 apply).

Parameters

Parameters of Delete Conversation
NameInTypeDescription
store_idrequiredpathstring
conversation_idrequiredpathstring

Example request

curl -X DELETE "https://api.shopassist.coec.dk/v1/stores/sto_01j8000000e008000000000000/conversations/conv_01j8000000e008000000000000" \
  -H "Authorization: Bearer $SHOPASSIST_API_KEY"

Response 204

Successful Response

Errors

Every error uses the error envelope; the code field is stable.

  • 400 Bad Request
  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not Found
  • 422 Unprocessable Content
  • 429 Too Many Requests

Last updated on